//////////////////////////////////////////////////////////////////////////
//Export Function
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

void UnloadDll();
BOOL LoadDll();

#define BXLPTR_API __declspec(dllimport)

typedef long (__stdcall *pPrinterOpen)(LPCTSTR strOutPortName, long lTimeout);
typedef long (__stdcall *pPrinterClose)();
typedef long (__stdcall *pLineFeed)(int nFeed);
typedef long (__stdcall *pPrintBitmap)(LPCTSTR FileName, long Width, long Alignment, long Level);
typedef long (__stdcall *pPrintBarcode)(PCHAR Data, long DataLength, long Symbology, long Height, long Width, long Alignment, long TextPosition);
typedef long (__stdcall *pPrintText)(LPCTSTR Data, long Alignment, long Attribute, long TextSize);
typedef void (__stdcall *pSetCharacterSet)(long Value);
typedef void (__stdcall *pSetInterChrSet)(long Value);
typedef long (__stdcall *pGetCharacterSet)();
typedef long (__stdcall *pGetInterChrSet)();	
typedef long (__stdcall *pDirectIO)(PCHAR Data, UINT uiWrite, PCHAR pRequest, UINT& uiRead);
typedef long (__stdcall *pMsrReadReady)();
typedef long (__stdcall *pMsrReadCancel)();
typedef long (__stdcall *pMsrReadTrack)(PCHAR Data1,PCHAR Data2,PCHAR Data3);
typedef long (__stdcall *pCheckPrinter)();
typedef long (__stdcall *pGetPowerValue)();
typedef long (__stdcall *pGetStat)();
typedef long (__stdcall *pGetResultCode)();
typedef long (__stdcall *pNextPrintPos)();
typedef TCHAR *(__stdcall *pGetTrack1)();
typedef TCHAR *(__stdcall *pGetTrack2)();
typedef TCHAR *(__stdcall *pGetTrack3)();
typedef long (__stdcall *pMsrReadFullTrack)(PCHAR Data1, UINT uiLen);
typedef long (__stdcall *pMsrRead1Track)(PCHAR Data1, UINT uiLen);
typedef long (__stdcall *pMsrRead2Track)(PCHAR Data1, UINT uiLen);
typedef long (__stdcall *pMsrRead3Track)(PCHAR Data1, UINT uiLen);
typedef void (__stdcall *pSetMsrMsgMode)(BOOL bValue);

extern HMODULE			m_hDll;

extern pPrinterOpen		PrinterOpen	;	
extern pPrinterClose	PrinterClose;		
extern pLineFeed		LineFeed	;		
extern pPrintBitmap		PrintBitmap	;	
extern pPrintBarcode	PrintBarcode;		
extern pPrintText		PrintText	;		
extern pSetCharacterSet	SetCharacterSet	;
extern pSetInterChrSet	SetInterChrSet	;	
extern pGetCharacterSet	GetCharacterSet	;
extern pGetInterChrSet	GetInterChrSet	;	
extern pDirectIO		DirectIO		;	
extern pMsrReadReady	MsrReadReady	;	
extern pMsrReadCancel	MsrReadCancel	;	
extern pMsrReadTrack	MsrReadTrack	;	
extern pCheckPrinter	CheckPrinter	;	
extern pGetPowerValue	GetPowerValue	;	
extern pGetStat			GetStat			;
extern pGetResultCode	GetResultCode	;	
extern pNextPrintPos	NextPrintPos	;	
extern pGetTrack1		GetTrack1		;
extern pGetTrack2		GetTrack2		;
extern pGetTrack3		GetTrack3		;
extern pMsrReadFullTrack MsrReadFullTrack;
extern pMsrRead1Track	MsrRead1Track;
extern pMsrRead2Track	MsrRead2Track;
extern pMsrRead3Track	 MsrRead3Track;
extern pSetMsrMsgMode		SetMsrMsgMode;
