//////////////////////////////////////////////////////////////////////////
//Export Function
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

void UnloadDll();
BOOL LoadDll();

#define BXLPTR_API __declspec(dllimport)

typedef long (*pPrinterOpen)(LPCTSTR strOutPortName, long lTimeout);
typedef long (*pPrinterClose)();
typedef long (*pLineFeed)(int nFeed);
typedef long (*pPrintBitmap)(LPCTSTR FileName, long Width, long Alignment, long Level);
typedef long (*pPrintBarcode)(PCHAR Data, long DataLength, long Symbology, long Height, long Width, long Alignment, long TextPosition);
typedef long (*pPrintText)(LPCTSTR Data, long Alignment, long Attribute, long TextSize);
typedef void (*pSetCharacterSet)(long Value);
typedef void (*pSetInterChrSet)(long Value);
typedef long (*pGetCharacterSet)();
typedef long (*pGetInterChrSet)();	
typedef long (*pDirectIO)(PCHAR Data, UINT uiWrite, PCHAR pRequest, UINT& uiRead);
typedef long (*pMsrReadReady)();
typedef long (*pMsrReadCancel)();
typedef long (*pMsrReadTrack)(PCHAR Data1,PCHAR Data2,PCHAR Data3);
typedef long (*pCheckPrinter)();
typedef long (*pGetPowerValue)();
typedef long (*pGetStat)();
typedef long (*pGetResultCode)();
typedef long (*pNextPrintPos)();
typedef TCHAR *(*pGetTrack1)();
typedef TCHAR *(*pGetTrack2)();
typedef TCHAR *(*pGetTrack3)();
typedef long (*pMsrReadFullTrack)(PCHAR Data1, UINT uiLen);
typedef long (*pMsrRead1Track)(PCHAR Data1, UINT uiLen);
typedef long (*pMsrRead2Track)(PCHAR Data1, UINT uiLen);
typedef long (*pMsrRead3Track)(PCHAR Data1, UINT uiLen);
typedef void (*pSetMsrMsgMode)(BOOL bValue);

extern HMODULE			m_hDll;

extern pPrinterOpen		PrinterOpen	;	
extern pPrinterClose	PrinterClose;		
extern pLineFeed		LineFeed	;		
extern pPrintBitmap		PrintBitmap	;	
extern pPrintBarcode	PrintBarcode;		
extern pPrintText		PrintText	;		
extern pSetCharacterSet	SetCharacterSet	;
extern pSetInterChrSet	SetInterChrSet	;	
extern pGetCharacterSet	GetCharacterSet	;
extern pGetInterChrSet	GetInterChrSet	;	
extern pDirectIO		DirectIO		;	
extern pMsrReadReady	MsrReadReady	;	
extern pMsrReadCancel	MsrReadCancel	;	
extern pMsrReadTrack	MsrReadTrack	;	
extern pCheckPrinter	CheckPrinter	;	
extern pGetPowerValue	GetPowerValue	;	
extern pGetStat			GetStat			;
extern pGetResultCode	GetResultCode	;	
extern pNextPrintPos	NextPrintPos	;	
extern pGetTrack1		GetTrack1		;
extern pGetTrack2		GetTrack2		;
extern pGetTrack3		GetTrack3		;
extern pMsrReadFullTrack MsrReadFullTrack;
extern pMsrRead1Track	MsrRead1Track;
extern pMsrRead2Track	MsrRead2Track;
extern pMsrRead3Track	 MsrRead3Track;
extern pSetMsrMsgMode		SetMsrMsgMode;
